Bug 114745 - [devel/upp]: fix GCC 4.2 builds
Summary: [devel/upp]: fix GCC 4.2 builds
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-19 19:10 UTC by m.sund
Modified: 2007-07-27 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (969 bytes, patch)
2007-07-19 19:10 UTC, m.sund
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.sund 2007-07-19 19:10:09 UTC
Fixed build error when using GCC 4.2 where atomicity.h is located in ext instead of bits.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-07-24 12:25:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-07-24 12:25:23 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 dfilter service freebsd_committer 2007-07-27 17:40:01 UTC
miwi        2007-07-27 16:39:56 UTC

  FreeBSD ports repository

  Added files:
    devel/upp/files      patch-uppsrc-Core-Core.h 
  Log:
  - Fix build with gcc 4.2
  
  PR:             114745
  Submitted by:   Matthias Sund <m.sund@arcor.de> (maintainer)
  
  Revision  Changes    Path
  1.1       +19 -0     ports/devel/upp/files/patch-uppsrc-Core-Core.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-07-27 17:40:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!